Class | Array
In: | abbrev.rb
Parent: | Object

### Methods

abbrev

### Public Instance methods

abbrev(pattern = nil)

Calculates the set of unambiguous abbreviations for the strings in `self`. If passed a pattern or a string, only the strings matching the pattern or starting with the string are considered.

      %w{ car cone }.abbrev   #=> { "ca" => "car", "car" => "car",
                                    "co" => "cone", "con" => cone",
                                    "cone" => "cone" }

[Source]

    # File abbrev.rb, line 90
      def abbrev(pattern = nil)
        Abbrev::abbrev(self, pattern)
      end

[Validate]